# xarray.Dataset.reduce

`Dataset.``reduce`(func, dim=None, keep_attrs=False, numeric_only=False, allow_lazy=False, **kwargs)

  Reduce this dataset by applying func along some dimension(s).

  Parameters:

  func : function

  > Function which can be called in the form f(x, axis=axis, **kwargs) to return the result of reducing an np.ndarray over an integer valued axis.

  dim : str or sequence of str, optional

  > Dimension(s) over which to apply func. By default func is applied over all dimensions.

  keep_attrs : bool, optional

  > If True, the dataset’s attributes (attrs) will be copied from the original object to the new one. If False (default), the new object will be returned without attributes.

  numeric_only : bool, optional

  > If True, only apply `func` to variables with a numeric dtype.

  **kwargs : dict

  > Additional keyword arguments passed on to `func`.

  Returns:

  reduced : Dataset

  > Dataset with this object’s DataArrays replaced with new DataArrays of summarized data and the indicated dimension(s) removed.